1 Reply Latest reply on Sep 13, 2005 10:01 AM by salut miere

    org.apache.commons.lang.SystemUtils.isJavaVersionAtLeast(I)Z

    George Lo Newbie

      Hello,
      I am having a problem with the cocoon.war on jboss???
      the Jboss version used is 3.2.6 and the war-file has been build with the 'build war' command from ant script provided by cocoon.
      Deploying the war-file raises not exceptions but when I access
      'localhost:8080/cocoon' raises the following error :

      java.lang.NoSuchMethodError: org.apache.commons.lang.SystemUtils.isJavaVersionAtLeast(I)Z
      org.apache.cocoon.components.notification.DefaultNotifyingBuilder.appendTraceChain(DefaultNotifyingBuilder.java:160)
      org.apache.cocoon.components.notification.DefaultNotifyingBuilder.build(DefaultNotifyingBuilder.java:103)
      org.apache.cocoon.components.notification.DefaultNotifyingBuilder.build(DefaultNotifyingBuilder.java:136)
      org.apache.cocoon.servlet.CocoonServlet.manageException(CocoonServlet.java:1274)
      org.apache.cocoon.servlet.CocoonServlet.service(CocoonServlet.java:1049)
      javax.servlet.http.HttpServlet.service(HttpServlet.java:802)
      org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:75)


      I have tried replacing the comms.lang-**.jar but with no results.
      Can anyone shed some light on this problem. I sure it has to do
      with some library issue but I don't have any clues what?
      Thx,
      Minosabi :-)